Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface ActionsDocument.Actions

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  ActionsDocumentImpl.ActionsImpl

Enclosing interface:
  ActionsDocument

    public static interface ActionsDocument.Actions

extends org.apache.xmlbeans.XmlObject

An XML actions(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `ActionsDocument.Actions.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`ActionDocument.Action` | `addNewAction()` Appends and returns a new empty value (as xml) as the last "action" element
`ActionDocument.Action[]` | `getActionArray()` Deprecated.
`ActionDocument.Action` | `getActionArray(int i)` Gets ith "action" element
`java.util.List<ActionDocument.Action>` | `getActionList()` Gets a List of "action" elements
`MepType.Enum` | `getMep()` Gets the "mep" attribute
`ActionDocument.Action` | `insertNewAction(int i)` Inserts and returns a new empty value (as xml) as the ith "action" element
`boolean` | `isSetMep()` True if has "mep" attribute
`void` | `removeAction(int i)` Removes the ith "action" element
`void` | `setActionArray(ActionDocument.Action[] actionArray)` Sets array of all "action" element
`void` | `setActionArray(int i, ActionDocument.Action action)` Sets ith "action" element
`void` | `setMep(MepType.Enum mep)` Sets the "mep" attribute
`int` | `sizeOfActionArray()` Returns number of "action" element
`void` | `unsetMep()` Unsets the "mep" attribute
`MepType` | `xgetMep()` Gets (as xml) the "mep" attribute
`void` | `xsetMep(MepType mep)` Sets (as xml) the "mep" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getActionList

    java.util.List<ActionDocument.Action> getActionList()

  Gets a List of "action" elements

### getActionArray

    ActionDocument.Action[] getActionArray()

  Deprecated.

  Gets array of all "action" elements

### getActionArray

    ActionDocument.Action getActionArray(int i)

  Gets ith "action" element

### sizeOfActionArray

    int sizeOfActionArray()

  Returns number of "action" element

### setActionArray

    void setActionArray(ActionDocument.Action[] actionArray)

  Sets array of all "action" element

### setActionArray

    void setActionArray(int i,
                        ActionDocument.Action action)

  Sets ith "action" element

### insertNewAction

    ActionDocument.Action insertNewAction(int i)

  Inserts and returns a new empty value (as xml) as the ith "action" element

### addNewAction

    ActionDocument.Action addNewAction()

  Appends and returns a new empty value (as xml) as the last "action" element

### removeAction

    void removeAction(int i)

  Removes the ith "action" element

### getMep

    MepType.Enum getMep()

  Gets the "mep" attribute

### xgetMep

    MepType xgetMep()

  Gets (as xml) the "mep" attribute

### isSetMep

    boolean isSetMep()

  True if has "mep" attribute

### setMep

    void setMep(MepType.Enum mep)

  Sets the "mep" attribute

### xsetMep

    void xsetMep(MepType mep)

  Sets (as xml) the "mep" attribute

### unsetMep

    void unsetMep()

  Unsets the "mep" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD